﻿var defaultBusinessTypeString = "Category, Product, Service ...";
var defaultBusinessNameString = "Name of Business";
var defaultLocationString = "Suburb, Town, City, Postcode";


function onTextClick() {
    view.alert('hello');
}

function viewOnOpen() {
  txtBusiness.value = defaultBusinessTypeString;
  txtLocation.value = defaultLocationString;
  radioBusinessType.value=true;
  radioBusinessName.value=false;
  txtBusiness.focus();
}

function toggleRadioButtons(radioButtonClicked) {
  if (radioButtonClicked == 'BusinessName' && (txtBusiness.value == "" || txtBusiness.value == defaultBusinessTypeString) )
  {
     txtBusiness.value = defaultBusinessNameString;
  }
  
  if (radioButtonClicked == 'BusinessType' && (txtBusiness.value == "" || txtBusiness.value == defaultBusinessNameString) )
  {
     txtBusiness.value = defaultBusinessTypeString;
  }
    
  resetRadioButtons();
}

function resetRadioButtons() {
  radioBusinessType.value=false;
  radioBusinessName.value=false;
}

function clearBusinessTextField() {
  if (txtBusiness.value == defaultBusinessTypeString || txtBusiness.value == defaultBusinessNameString) {
  	txtBusiness.value = "";
  }
}

function maybeResetBusinessValue() {
	if (txtBusiness.value == "" && radioBusinessType.value == true) {
		txtBusiness.value = defaultBusinessTypeString;
        setDefaultHintTextColor(txtBusiness);        
	}
    if (txtBusiness.value == "" && radioBusinessName.value == true) {
		txtBusiness.value = defaultBusinessNameString;
        setDefaultHintTextColor(txtBusiness);        
	}
}

function clearLocationTextField() {
	if (txtLocation.value == defaultLocationString) {
  	txtLocation.value = "";
  }
}

function maybeResetLocationValue() {
	if (txtLocation.value == "") {
		txtLocation.value = defaultLocationString;
        setDefaultHintTextColor(txtLocation);        
	}
}

function setDefaultHintTextColor(editField) {
    editField.color = "#959595";
}

function doSearch() {
	if (txtBusiness.value == defaultBusinessTypeString || txtBusiness.value == defaultBusinessNameString || txtBusiness.value == "") {		
        errorLabel.visible = true;
		return;
	}
    locationClue = txtLocation.value;
    if (txtLocation.value == defaultLocationString) {
        locationClue = "";
    }
	var searchType;
	if (radioBusinessType.value == true) {
    	searchType = 0;
	}
	else {
		searchType = 1;
	}
	
	var url = "http://www.yellowpages.com.au/search/postSearchEntry.do";
	url = url + "?clueType=" + searchType;
	url = url + "&clue=" + txtBusiness.value;
	url = url + "&locationClue=" + locationClue;
    url = url + "&referrer=widgd";
	showPage(url);
    errorLabel.visible = false;
}

function showPage(url) {
	var winShell = new ActiveXObject("Shell.Application"); 
    winShell.ShellExecute(url); 
}

function goHome() {
    showPage('http://www.yellowpages.com.au?referrer=widgdh');
}

function txtBusinessOnKeyPress() {
    txtBusiness.color = "#000000";
    txtInputOnKeyPress();
}

function txtLocationOnKeyPress() {
    txtLocation.color = "#000000";
    txtInputOnKeyPress();
}

function txtInputOnKeyPress() {
  //txtBusiness.color = "#000000";
  
  if (event.keyCode==13)
  {  
    doSearch();    
  }
  /* Problem with NOT ignoring the keypress.  Need more research of how to ignore a key press */
  if (event.keyCode==9)
  {    
    //delay(1000);
    //view.alert('hello');    
    //txtBusiness.focus();    
    //txtLocation.focus();    
    event.returnValue = false;            
  }
}